Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002607TestLinkAPI - XMLRPCpublic2009-06-12 17:542010-08-31 20:28
Reportertogari 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.2 
Fixed in Version1.9 Beta 6 
Summary0002607: Non-ASCII charater becomes broken by TestlinkXMLRPCServer
DescriptionFor connecting to database, 'doDBConnect' function (in lib/functions/common.php) is globally used.
In this function, character encoding is explicitly specified if the database is mysql, as follows.

    if((DB_TYPE == 'mysql') && ($charSet == 'UTF-8'))
    {
        $db->exec_query("SET CHARACTER SET utf8");
        $db->exec_query("SET collation_connection = 'utf8_general_ci'");
    }

Meanwhile, '_connectToDB' method of 'TestlinkXMLRPCServer' class (in lib/api/xmlrpc.php) does not care about character encoding.
As a result, we can not read any non-ascii character via XML-RPC.

I have temporarily fixed it in my project by applying an ad-hoc patch to xmlrpc.php (see the attachment file).
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filesdiff file icon xmlrpc.diff [^] (900 bytes) 2009-06-12 17:54 [Show Content]

- Relationships
has duplicate 0003589closedfman TL API - testlink xml-rpc could not transfer UTF-8 character correctly? 

-  Notes
(0011149)
fman (administrator)
2010-08-31 20:28

Release BETA 6 - 20100831

- Issue History
Date Modified Username Field Change
2009-06-12 17:54 togari New Issue
2009-06-12 17:54 togari File Added: xmlrpc.diff
2009-06-12 22:28 fman Status new => assigned
2009-06-12 22:28 fman Assigned To => fman
2010-07-11 17:21 fman Relationship added has duplicate 0003589
2010-07-11 17:27 fman Status assigned => resolved
2010-07-11 17:27 fman Fixed in Version => 1.9 Beta 6
2010-07-11 17:27 fman Resolution open => fixed
2010-08-31 20:28 fman Note Added: 0011149
2010-08-31 20:28 fman Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker